# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           mountpoint_exporter
Version:        0.0.1
Release:        %{mybuildnumber}%{?dist}
Summary:        A simple exporter that exports Prometheus-formatted telemetry of mountpoints on your system

License:        GPLv3+
URL:            https://github.com/Rudd-O/%{name}
Source:         %{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  systemd-rpm-macros

Requires:       python3

%global _description %{expand:
Duphunter is a very simple server that listens on a port and responds.
to requests with info metrics on mountpoints on the system.

It is designed to help solve the problem exposed in issue 
https://github.com/prometheus/node_exporter/issues/600 .
}

%description %_description

%prep
%autosetup

%install
mkdir -p %{buildroot}%{_bindir}
install -t %{buildroot}%{_bindir} %{name}
mkdir -p %{buildroot}%{_sysconfdir}/default
echo MOUNTPOINT_EXPORTER_OPTS= > %{buildroot}%{_sysconfdir}/default/%{name}
mkdir -p %{buildroot}%{_unitdir}
install -t %{buildroot}%{_unitdir} %{name}.service

%files
%attr(0755, root, root) %{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/default/%{name}
%{_unitdir}/%{name}.service
%doc README.md

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%post
%systemd_post %{name}.service

%changelog
* Fri May 02 2025 Manuel Amador <rudd-o@rudd-o.com> 0.0.1-1
- First RPM packaging release
